<?php 
header("Access-Control-Allow-Origin: *");
header("Content-Type:application/json; charset=UTF-8");
header("Access-Control-Allow-Methods:POST");
header("Access-Control-Max-Age:3600");
header("Access-Control-Allow-Headers:Content-Type,Access-Control-Allow-Headers,Authorization,X-Requested-With");

include_once '../Database.php';
include_once 'metodos.php';

$database = new DataBase();
$db = $database->getConnection();

$metodo = new Metodos($db);
try{
	$data = json_decode(file_get_contents("php://input"));
	
	$query = "INSERT INTO ".$metodo->table_name." SET nombre=:nombre,estado=:estado";
	$stm = $metodo->conn->prepare($query);
	$stm->bindParam(":nombre",$data->nombre);
	$stm->bindParam(":estado",$data->estado);
	$stmt = $metodo->Insert($stm);
	if($stmt !==false){
		echo json_encode(array("Id"=>$stmt));
	}else{
		echo json_encode(array("Error"=>"No se ha creado el registro"));
	}
}catch(Exception $ex){
	echo json_encode(array("Error"=>"No se ha podido procesar la solicitud"));
}

?>